<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>แดชบอร์ด - LISH THAILAND MEMBER </title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <link href="/assets/css/loader.css" rel="stylesheet" type="text/css" />
    <script src="/assets/js/loader.js"></script>
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Sarabun:wght@100;200;400;500;600&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="/plugins/dropify/dropify.min.css">
    <link rel="stylesheet"  href="/plugins/dropify/dropify.min.js">
    <!-- END GLOBAL MANDATORY STYLES -->
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!--<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">--> 
    <!-- slide show -->
    <link href="/vendor/bootstrap-select/dist/css/bootstrap-select.min.css" rel="stylesheet">
    <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM STYLES -->
    <link href="/plugins/apex/apexcharts.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" type="text/css" href="/assets/css/widgets/modules-widgets.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Sortable/1.14.0/Sortable.min.js" integrity="sha512-zYXldzJsDrNKV+odAwFYiDXV2Cy37cwizT+NkuiPGsa9X1dOz04eHvUWVuxaJ299GvcJT31ug2zO4itXBjFx4w==" crossorigin="anonymous"referrerpolicy="no-referrer"></script>
</head>
<style>
.list-group :hover{
    cursor: grab;
}
.list-group-disabled{
    opacity: 0.4;
    cursor:no-drop;
}
.list-group-item{
    text-align: center;
    background: #fff;
    margin: 8px;
    padding: 10px;
    border-radius: 10px;
    cursor: pointer;
    width:100%;
}
* {box-sizing: border-box}
img {vertical-align: middle;}

/* Slideshow container */
.slideshow-container {
    max-width: 1000px;
    position: relative;
    margin: auto;
}

/* Next & previous buttons */
.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

/* On hover, add a grey background color */
.prev:hover, .next:hover {
    background-color: #f1f1f1;
    color: black;
}
</style>
<body class="sidebar-noneoverflow">
    <!-- BEGIN LOADER -->
    <div id="load_screen">
        <div class="loader">
            <div class="loader-content">
                <div class="spinner-grow align-self-center"></div>
            </div>
        </div>
    </div>
    <!--  END LOADER -->

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar') %>
    <!--  END NAVBAR  -->
    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">
        <div class="overlay"></div>
        <div class="search-overlay"></div>
        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar') %>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">
                <div class="container" style="padding:20px;" >
                    <div class="row">
                        <div class="col-5 col-sm-5" style="background-color: #eee;text-align:center;padding:50px">
                            <h2>เลือกลากมาวาง</h2>
                            <div class="row  align-items-center">
                                <div class="col" style="text-align: center;">
                                    <div class="list-group" draggable="true" id="photoslide">
                                        <div class="card">
                                            <img class="card-img-top" id="phslide" src="/image/customize/imgSlide.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">รูปภาพสไลด์</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="list-group" draggable="true" id="clip">
                                        <div class="card">
                                            <img class="card-img-top" src="/image/customize/vdo.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">วิดีโอ</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="list-group" draggable="true" id="photo">
                                        <div class="card"  style="width: auto;">
                                            <img class="card-img-top" src="/image/customize/img.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">รูปภาพ</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="list-group" draggable="true" id="2photo">
                                        <div class="card"  style="width: auto;">
                                            <img class="card-img-top" src="/image/customize/img2.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">รูปภาพ 2 รูป</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="list-group" draggable="true" id="photolink">
                                        <div class="card"  style="width: auto;">
                                            <img class="card-img-top" src="/image/customize/imglink.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">รูปภาพ (พร้อมลิ้งค์)</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="list-group" draggable="true" id="photo2link">
                                        <div class="card"  style="width: auto;">
                                            <img class="card-img-top" src="/image/customize/img2link.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">รูปภาพ 2 รูป(พร้อมลิ้งค์)</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="list-group" draggable="true" id="message">
                                        <div class="card"  style="width: auto;">
                                            <img class="card-img-top" src="/image/customize/text.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">ข้อความ</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="list-group" draggable="true" id="Line">
                                        <div class="card"  style="width: auto;">
                                            <img class="card-img-top" src="/image/customize/line.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">เพิ่ม Line</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="list-group" draggable="true" id="Fb">
                                        <div class="card"  style="width: auto;">
                                            <img class="card-img-top" src="/image/customize/fb.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">เพิ่ม FB</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="list-group" draggable="true" id="SendMessage">
                                        <div class="card"  style="width: auto;">
                                            <img class="card-img-top" src="/image/customize/inbox.png" alt="Card image cap">
                                            <div class="card-body">
                                                <p class="card-text">เพิ่ม Inbox</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-7" style="background-color: #e3e3e3;text-align:center;padding:20px">
                                <h2>วางที่นี่</h2>
                            <div class="column" style="width:100%;height:96%;border: 1px solid black;border: radius 10px;">
            
                            </div>
            
                        </div>
                    </div>
                    <div style="text-align: center;">
                        <!--<button class="mt-3 btn btn-success" id="Et" style="padding: 10px;color:white;width:100px">Enter</button>-->
                        <button class="mt-3 btn btn-warning" id="pre" onclick="preview()" disabled="true"   style="padding: 10px;color:white;width:100px">Preview</button>
                        <button class="mt-3 btn btn-primary" onclick="Goshop()" style="padding: 10px;color:white;width:100px">Go to Shop</button>
                    </div>
                </div>

            </div>
            <div class="footer-wrapper">
                <div class="footer-section f-section-1">
                    <p class="">Copyright © 2023 <a target="_blank" href="https://www.awbg.co.th/"> Absolute Well Being Group Co.,Ltd.</a>, All
                        rights reserved.</p>
                </div>
                <div class="footer-section f-section-2">
                    <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart">
                            <path
                                d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z">
                            </path>
                        </svg> LISH THAILAND</p>
                </div>
            </div>
        </div>
        <!--  END CONTENT AREA  -->
    </div>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Preview Sale Page</h5>
            <button type="button" class="btn btn-danger" onclick="clearData()"  data-bs-dismiss="modal" aria-label="Close" >X</button>
            </div>
            <div class="modal-body" id="showPreview">
                
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" onclick="clearData()" data-bs-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary" onclick="Senddata()" value="Submit">Save changes</button>
            </div>
        </div>
        </div>
    </div>
    <!-- END MAIN CONTAINER -->

    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/js/dropify.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Dropify/0.2.2/js/dropify.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.0.0-beta.20/js/uikit.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script src="/assets/js/creative.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <script src="/vendor/bootstrap-select/dist/js/bootstrap-select.min.js"></script>
    <script src="/vendor/chart.js/Chart.bundle.min.js"></script>
    <script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="/assets/js/app.js"></script>
    <script>
        let imgarr = [];
        let imgphotoslidearr = []
        let imgsecondarr = [];
        let imgphotoarr = [];
        let imgphotolink = [];
        let imgphoto2link = [];
        let numcheck = ''
        $(document).ready(function () {
            $('#creativestore_menu').addClass('active')
            $('#creativestore_menu > a').attr('aria-expanded',true)
            App.init();
            
            /*axios.get('/creativestore/getdata?shop=<%= Shop_code %>').then(async (response)=>{
                let Data_creative = response.data.creative;
                if(Data_creative.length != 0 ){
                    let text = '';
                    let col = document.querySelector('.column');
                    let number = col.querySelectorAll('.list-group-item')
                    Data_creative.forEach(element=>{
                        let photoslide = JSON.parse(element.slide_photo)
                        element.slide_photo = photoslide
                        let vdo = JSON.parse(element.video)
                        element.video = vdo
                        let photo = JSON.parse(element.only_photo)
                        element.only_photo = photo
                        let secondphoto = JSON.parse(element.second_photo)
                        element.second_photo = secondphoto
                        let photolink = JSON.parse(element.photo_link)
                        element.photo_link = photolink
                        let second_photo_link = JSON.parse(element.second_photo_link)
                        element.second_photo_link = second_photo_link
                        let text = JSON.parse(element.message)
                        element.message = text
                        let line = JSON.parse(element.line_message)
                        element.line_message = line
                        let fb = JSON.parse(element.facebook)
                        element.facebook = fb
                        let inbox = JSON.parse(element.inbox_message)
                        element.inbox_message = inbox
                        let number = JSON.parse(element.order_creative)
                        element.order_creative = number
                    })
                    console.log(Data_creative);
                    for(let i = 0 ; i < Data_creative[0].order_creative.length ; i++){
                        if(Data_creative[0].order_creative[i].div == 'Photoslide'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `photoslide${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let div_row = document.createElement('div');
                                div_row.className = 'row';
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่รูปภาพสไลด์`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                                div.setAttribute('draggable','true')
                                for(let j = 0 ; j < Data_creative[0].slide_photo.length ; j++){
                                    if(Data_creative[0].slide_photo[j]?.div === `photoslide${i+1}`){
                                        imgarr.push({div:Data_creative[0].slide_photo[j]?.div,img:Data_creative[0].slide_photo[j]?.img})
                                    }
                                }
                                for(let j = 0 ; j < 5 ; j ++){
                                    if(imgarr[j]?.div === `photoslide${i+1}`){
                                        let imageUrl = `${imgarr[j].img}`;
                                        imgphotoslidearr.push({div:imgarr[j]?.div,img:imgarr[j]?.img})
                                        let div_col = document.createElement('div');
                                        div_col.className = 'mt-4 col'
                                        let input = document.createElement('input')
                                        input.classList.add('dropify')
                                        input.style = 'padding:10px;'
                                        input.type = "file"
                                        input.setAttribute('data-default-file',`http://128.199.100.251:1001/image/creativestore/${imageUrl}`)
                                        //input.setAttribute('value',`http://128.199.100.251:1001/image/creativestore/${Data_creative[0].slide_photo[j]?.img}`)
                                        input.id = `${i+1}imgSlide${j+1}`
                                        div_col.appendChild(input);
                                        div_row.appendChild(div_col)
                                    }else{
                                        let div_col = document.createElement('div');
                                        div_col.className = 'mt-4 col'
                                        let input = document.createElement('input')
                                        input.classList.add('dropify')
                                        input.style = 'padding:10px;'
                                        input.type = "file" 
                                        input.id = `${i + 1}imgSlide${j+1}`
                                        div_col.appendChild(input);
                                        div_row.appendChild(div_col)
                                    }
                                }
                                imgarr = []
                                div.appendChild(div_row)
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div);
                            dragEnd();
                        }else if(Data_creative[0].order_creative[i].div == 'Vdo'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `video${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่ลิ้งค์วิดีโอ`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                            let input = document.createElement('input')
                                input.classList.add('form-control')
                                input.classList.add('mt-5')
                                input.style = 'padding:10px;'
                                input.type = "url" 
                                for(let j = 0 ; j < Data_creative[0].video.length;j++){
                                    if(Data_creative[0].video[j]?.div === `video${i+1}`){
                                        input.value = Data_creative[0].video[j]?.value
                                    }
                                }
                                input.id = `vdo${i + 1}`
                                input.setAttribute('placeholder','<iframe> </iframe>')
                                div.setAttribute('draggable','true')
                                div.appendChild(input);
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                            dragEnd()
                        }else if(Data_creative[0].order_creative[i].div == 'SecondPhoto'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `secondphoto${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let div_row = document.createElement('div');
                                div_row.className = 'row';
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่รูปภาพ 2 รูป`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                            for(let j= 0 ; j < 2;j++){
                                if(Data_creative[0].second_photo[j]?.div === `secondphoto${i+1}`){
                                    let imageUrl = `${Data_creative[0].second_photo[j]?.img}`;
                                    imgsecondarr.push(`${Data_creative[0].second_photo[j]?.img}`)
                                    let div_col = document.createElement('div');
                                        div_col.className = 'mt-4 col'
                                    let input_img = document.createElement('input')
                                        input_img.classList.add('dropify')
                                        input_img.style = 'padding:10px;'
                                        input_img.type = "file" 
                                        input_img.setAttribute('data-default-file',`http://128.199.100.251:1001/image/creativestore/${imageUrl}`)
                                        input_img.id = `${i + 1}imgsecond${j+1}`
                                    div_col.appendChild(input_img);
                                    div_row.appendChild(div_col)
                                }else{
                                    let div_col = document.createElement('div');
                                        div_col.className = 'mt-4 col'
                                    let input_img = document.createElement('input')
                                        input_img.classList.add('dropify')
                                        input_img.style = 'padding:10px;'
                                        input_img.type = "file" 
                                        input_img.id = `${i + 1}imgsecond${j+1}`
                                    div_col.appendChild(input_img);
                                    div_row.appendChild(div_col)
                                }
                            }
                                div.appendChild(div_row)
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                        }else if(Data_creative[0].order_creative[i].div == 'Photo'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `onlyphoto${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่รูปภาพ`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                            let div_col = document.createElement('div');
                            let input = document.createElement('input')
                                input.className = 'mt-4'
                                input.classList.add('dropify')
                                input.style = 'padding:10px;'
                                for(let j = 0 ; j < 1;j++){
                                    if(Data_creative[0].only_photo[j]?.div === `onlyphoto${i+1}`){
                                        let imageUrl = Data_creative[0].only_photo[j]?.img
                                        imgphotoarr.push(imageUrl)
                                        input.setAttribute('data-default-file',`http://128.199.100.251:1001/image/creativestore/${imageUrl}`)
                                    }
                                }
                                input.type = "file" 
                                input.id = `img${i + 1}`
                                div.setAttribute('draggable','true')
                                div_col.appendChild(input);
                                div.appendChild(div_col)
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                        }else if(Data_creative[0].order_creative[i].div == 'Photolink'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `Urlphoto${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่รูปภาพและลิ้งค์`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                            let div_col = document.createElement('div');
                                div_col.className = 'mt-5'
                            let input = document.createElement('input')
                                input.className = 'mt-4'
                                input.classList.add('dropify')
                                input.style = 'padding:10px;'
                                input.type = "file" 
                                input.id = `imglink${i + 1}`
                            let input_url = document.createElement('input')
                                input_url.className = 'mt-2'
                                input_url.classList.add('form-control')
                                input_url.style = 'padding:10px;'
                                input_url.type = "url"
                                input_url.id = `imgUrl${i + 1}`
                                input_url.setAttribute('placeholder','Url')
                                div.setAttribute('draggable','true')
                                for(let j = 0 ; j < Data_creative[0].photo_link.length ; j++){
                                    if(Data_creative[0].photo_link[j]?.div === `Urlphoto${i + 1}`){
                                        let imageUrl = Data_creative[0].photo_link[j].img;
                                        let imageLink = Data_creative[0].photo_link[j].link;
                                        imgphotolink.push({img:Data_creative[0].photo_link[j].img,link:Data_creative[0].photo_link[j].link})
                                        input.setAttribute('data-default-file',`http://128.199.100.251:1001/image/creativestore/${imageUrl}`)
                                        input_url.value = imageLink
                                    }
                                }
                                div_col.appendChild(input);
                                div_col.appendChild(input_url);
                                div.appendChild(div_col)
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                        }else if(Data_creative[0].order_creative[i].div == 'Photo2Link'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `photosecondUrl${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let div_row = document.createElement('div');
                                div_row.className = 'row';
                                let span_txt = document.createTextNode("\u00D7");
                                let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่รูปภาพ2รูปและลิ้งค์`))
                                let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                                div.setAttribute('draggable','true')
                                for(let j= 0; j < Data_creative[0].second_photo_link?.length;j++){
                                    if(Data_creative[0].second_photo_link[j].div === `photosecondUrl${i + 1}`){
                                        let imageUrl = Data_creative[0].second_photo_link[j].img;
                                        let imageLink = Data_creative[0].second_photo_link[j].link;
                                        imgphoto2link.push({img:imageUrl,link:imageLink});
                                        let div_col = document.createElement('div');
                                            div_col.className = 'mt-4 col'
                                        let input_img = document.createElement('input')
                                            input_img.classList.add('dropify')
                                            input_img.style = 'padding:10px;'
                                            input_img.type = "file" 
                                            input_img.setAttribute('data-default-file',`http://128.199.100.251:1001/image/creativestore/${imageUrl}`)
                                            input_img.id = `${i + 1}imgsecondlink${j+1}`
                                        let input_url = document.createElement('input')
                                            input_url.className = 'mt-2'
                                            input_url.classList.add('form-control')
                                            input_url.style = 'padding:10px;'
                                            input_url.value = imageLink
                                            input_url.type = "url"
                                            input_url.id = `${i + 1}img2Url${j+1}`
                                            input_url.setAttribute('placeholder',`Url${j+1}`)
                                        div_col.appendChild(input_img);
                                        div_col.appendChild(input_url);
                                        div_row.appendChild(div_col)
                                    }
                                }
                                div.appendChild(div_row)
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                        }else if(Data_creative[0].order_creative[i].div == 'Text'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `Message${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่ข้อความ`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                            let input = document.createElement('textarea')
                                input.classList.add('form-control')
                                input.classList.add('mt-5')
                                input.style = 'padding:10px;'
                                input.type = "text" 
                                input.setAttribute('placeholder','กรอกข้อความ')
                                for(let j = 0 ; j < Data_creative[0].message?.length ; j++) {
                                    if(Data_creative[0].message[j]?.div === `Message${i+1}`){
                                        let my_string = Data_creative[0].message[j]?.value
                                        my_string = my_string.replace(/<br>/g,'\n')
                                        input.value = my_string;
                                    }
                                }
                                input.id = `text${i + 1}`
                                div.setAttribute('draggable','true')
                                div.appendChild(input);
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                        }else if(Data_creative[0].order_creative[i].div == 'Line'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `Line${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่ลิ้งค์ Line`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                            let input = document.createElement('input')
                                input.classList.add('form-control')
                                input.classList.add('mt-5')
                                input.style = 'padding:10px;'
                                input.type = "text" 
                                input.setAttribute('placeholder','UrlLine')
                                input.id = `addLine${i + 1}`
                                for(let j = 0 ; j < Data_creative[0].line_message?.length;j++){
                                    if(Data_creative[0].line_message[j]?.div == `Line${i+1}`){
                                        input.value = Data_creative[0].line_message[j]?.value
                                    }
                                }
                                div.setAttribute('draggable','true')
                                div.appendChild(input);
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                        }else if(Data_creative[0].order_creative[i].div == 'Facebook'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `facebook${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่ลิ้งค์ เพจ FaceBook`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                            let input = document.createElement('input')
                                input.classList.add('form-control')
                                input.classList.add('mt-5')
                                input.style = 'padding:10px;'
                                input.type = "text" 
                                input.setAttribute('placeholder','Url FaceBook')
                                input.id = `pageFB${i + 1}`
                                for(let j = 0 ; j < Data_creative[0].facebook?.length;j++){
                                    if(Data_creative[0].facebook[j]?.div == `facebook${i+1}`){
                                        input.value = Data_creative[0].facebook[j]?.value
                                    }
                                }
                                div.setAttribute('draggable','true')
                                div.appendChild(input);
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                        }else if(Data_creative[0].order_creative[i].div == 'Inbox'){
                            let div = document.createElement('div');
                                div.className = 'list-group-item'
                                div.id = `Send${i + 1}`
                                div.style = 'width:auto;height:auto;'
                            let span_txt = document.createTextNode("\u00D7");
                            let h5 = document.createElement('h5')
                                h5.appendChild(document.createTextNode(`ใส่ลิ้งค์ส่งข้อความเพจ FaceBook`))
                            let close = document.createElement('span');
                                close.className = 'close btn-danger'
                                close.classList.add('btn')
                                close.appendChild(span_txt)
                                div.appendChild(close)
                                div.appendChild(h5);
                            let input = document.createElement('input')
                                input.classList.add('form-control')
                                input.classList.add('mt-4')
                                input.style = 'padding:10px;'
                                input.type = "text" 
                                input.setAttribute('placeholder','Url Message FaceBook')
                                input.id = `inbox${i + 1}`
                                for(let j = 0 ; j < Data_creative[0].inbox_message?.length;j++){
                                    if(Data_creative[0].inbox_message[j]?.div == `Send${i+1}`){
                                        input.value = Data_creative[0].inbox_message[j]?.value
                                    }
                                }
                                div.setAttribute('draggable','true')
                                div.appendChild(input);
                            close.addEventListener('click',()=>{
                                let col = document.querySelector('.column');
                                let countInput = col.querySelectorAll('input')
                                let list = document.getElementsByClassName('list-group-item')
                                    div.remove();
                                    changeId();
                                if(list.length == 0){
                                    $('#pre').attr('disabled','true')
                                }
                                dragEnd();
                            })
                            $('.column').append(div)
                        }
                    }
                    $('#pre').removeAttr('disabled')
                    $('#pre').attr('data-bs-toggle','modal')
                    $('#pre').attr('data-bs-target','#exampleModal')
                    $('.dropify').dropify();
                }
            })*/

        });
        document.getElementById('exampleModal').addEventListener('click',async (e)=>{
            if(e.target.className == 'modal fade show'){
                await clearData()
            }
        })
    </script>
    <script src="/assets/js/custom.js"></script>

    <!-- END GLOBAL MANDATORY SCRIPTS -->
    <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->
    <script src="/plugins/apex/apexcharts.min.js"></script>
    <script src="/assets/js/widgets/modules-widgets.js"></script>
    <!-- <script src="assets/js/dashboard/dash_1.js"></script> -->
    <!-- BEGIN PAGE LEVEL PLUGINS/CUSTOM SCRIPTS -->
    <script>
        function Goshop(){
            window.location = '/shop?shop=<%= Shop_code %>'
        }
    </script>
    <script>
        var showPreview = document.getElementById('showPreview')
        var divId = []
        var text = ''
        var count = 0
        var l = 0;
        var count_div = 0
        var fileimage = []
        var form = new FormData();
        var data = new FormData();
        async function preview() {
            var total_data = document.querySelector(".column")
            var data = total_data.querySelectorAll('.list-group-item')
            console.log(data);
                for(let i = 0 ;i < data.length;i++) {
                    if(data[i].id == `photoslide${i+1}`){
                        count +=1
                        divId.push(data[i])
                    }else if(data[i].id == `video${i+1}`){
                        divId.push(data[i])
                    }else if(data[i].id == `onlyphoto${i+1}`){
                        divId.push(data[i])
                    }else if(data[i].id == `secondphoto${i+1}`){
                        divId.push(data[i])
                    }else if(data[i].id == `Urlphoto${i+1}`){
                        divId.push(data[i])
                    }else if(data[i].id == `photosecondUrl${i+1}`){
                        divId.push(data[i])
                    }else if(data[i].id ==`Message${i+1}`){
                        divId.push(data[i])
                    }else if(data[i].id == `Line${i+1}`){
                        divId.push(data[i])
                    }else if(data[i].id == `facebook${i+1}`){
                        divId.push(data[i])
                    }else if(data[i].id == `Send${i+1}`){
                        divId.push(data[i])
                    }
                }
                await sendDiv(divId)
                await checkform()
                if(count > 0){
                    await checkshowDiv()
                }
            }
    </script>
    <script>
        async function sendDiv(divId) {
            for(let i = 0 ; i < divId.length; i++){
                if(divId[i].id == `photoslide${i+1}`){
                    await createlistimg(divId[i],i,i+1)
                }else if(divId[i].id == `video${i+1}`){
                    await createVDO(divId[i],i)
                }else if(divId[i].id == `onlyphoto${i+1}`){
                    await createPhoto(divId[i],i)
                }else if(divId[i].id == `secondphoto${i+1}`){
                    await createSecondPhoto(divId[i],i)
                }else if(divId[i].id == `Urlphoto${i+1}`){
                    await createUrlPhoto(divId[i],i)
                }else if(divId[i].id == `photosecondUrl${i+1}`){
                    await createUrl2Photo(divId[i],i)
                }else if(divId[i].id == `Message${i+1}`){
                    await createText(divId[i],i)
                }else if(divId[i].id == `Line${i+1}`){
                    await createButtonLine(divId[i],i);
                }else if(divId[i].id == `facebook${i+1}`){
                    await createButtonFB(divId[i],i);
                }else if(divId[i].id == `Send${i+1}`){
                    await createInbox(divId[i],i);
                }
            }
        }
    </script>
    <script>
        
        async function createlistimg(div,number,len){
            let list_ImgSlide = []
            let arr = []
            let info = div.querySelectorAll('input.dropify');
            let num = 0
            for(let j = 0 ; j < imgphotoslidearr?.length ; j++){
                if(imgphotoslidearr[j]?.div == `photoslide${number+1}`){
                    arr.push({div:div.id,img:imgphotoslidearr[j]?.img})
                }
            }
            for(let j = 0 ; j < info.length ; j++){
                if(info[j].files[0] !== undefined){
                    list_ImgSlide.push({divId:div.id,img:info[j].files[0]})
                    form.append('files',info[j].files[0])
                }else{ 
                    div.value = `http://128.199.100.251:1001/image/creativestore/${arr[j]?.img}`
                    list_ImgSlide.push({divId:div.id?.div,img:arr[j]?.img})
                }
            }
            await createImageSlide(div,list_ImgSlide,number,len);
        }
        async function createImageSlide(divId,list_ImgSlide,number,len){
            form.append('div','Photoslide')
            count_div +=1
            text+=`<div class="slideshow-container" style="width:100%;padding-bottom:100px;">
                <div class="row center" style="display:flex;align-items:center;justify-content:center;">`
            
            for(let j = 0 ; j < list_ImgSlide.length; j++){
                if(typeof list_ImgSlide[j].img == 'string'){
                    form.append('data',`${divId.id}@@${list_ImgSlide[j].img}`)
                    text +=`<div class="mySlides${l+1}" style="display:none">
                                <img src="http://128.199.100.251:1001/image/creativestore/${list_ImgSlide[j].img}" style="width:100%;height:500px;">
                            </div>`
                }else if(typeof list_ImgSlide[j].img == 'object'){
                    let file = list_ImgSlide[j].img
                    form.append('data',`${divId.id}@@${file.name}`)
                        text +=`<div class="mySlides${l+1}" style="display:none">
                                    <img src="${URL.createObjectURL(file)}" style="width:100%;height:500px;">
                                </div>`
                }
            }
            text += `
                        </div>
                        <a class="prev" onclick="plusDivs(-1, ${l})">&#10094;</a>
                        <a class="next" onclick="plusDivs(1, ${l})">&#10095;</a>
                    </div>`
            //console.log(text);
            l++;
            await checkDivs(l)
        }
        function createVDO(divId,number){
            count_div +=1
            let info = divId.querySelectorAll('input')
            text += `<div class="mt-3 container">
                        <div class="row">
                            <div class="col">
                                <div class="embed-responsive embed-responsive-16by9">
                                    ${info[0].value}
                                </div>
                            </div>
                        </div>
                    </div>   `
            form.append('div','Vdo')
            form.append('data',`${divId.id}@@${info[0].value}`)
        }
        function createPhoto(divId,number){
            count_div +=1
            let info = divId.querySelectorAll('input')
            for(let j = 0 ; j < info.length ; j++){
                if(info[j].files[0] == undefined){
                    text += `<div class="container">
                        <div class="row">
                            <div class="col">
                                <img src="http://128.199.100.251:1001/image/creativestore/${imgphotoarr[j]}" style="width:100%;height:100%">
                            </div>
                        </div>
                    </div>`
                    form.append('div',`Photo`)
                    form.append('data',`${divId.id}@@${imgphotoarr[j]}`)
                }else{
                    let file = info[0].files[0]
                    text += `<div class="container">
                                <div class="row">
                                    <div class="col">
                                        <img src="${URL.createObjectURL(file)}" style="width:100%;height:100%">
                                    </div>
                                </div>
                            </div>`
                    form.append('files',file)
                    form.append('div',`Photo`)
                    form.append('data',`${divId.id}@@${file.name}`)
                }
            }
        }
        function createSecondPhoto(divId,number){
            count_div +=1
            let urlimg = ''
            let info = divId.querySelectorAll('input')
            text += `<div class="container">
                        <div class="row">`
            form.append('div','SecondPhoto')
            for(let j = 0 ; j < info.length ; j++){
                if(info[j]?.files[0] == undefined){
                    text+=`<div class="col" align="center">
                        <img src="http://128.199.100.251:1001/image/creativestore/${imgsecondarr[j]}" style="width:100%;height:100%;">
                    </div>`
                    form.append('data',`${divId.id}@@${imgsecondarr[j]}`)
                }else{
                    text+=`<div class="col" align="center">
                                <img src="${URL.createObjectURL(info[j].files[0])}" style="width:100%;height:100%;">
                            </div>`
                    form.append('files',info[j].files[0])
                    form.append('data',`${divId.id}@@${info[j].files[0].name}`)
                }
            }
            text += `</div>
                    </div>`
        }
        function createUrlPhoto(divId,number){
            count_div +=1
            let info = divId.querySelectorAll('input')
            //console.log(info[0].files[0], info[1].value);
            for(let j = 0 ; j < 1 ; j++){
                if(info[j].files[0] == undefined){
                    text += `<div class="container">
                        <div class="row">
                            <div class="col">
                                <a href="${imgphotolink[j].link}" target="_blank"><img src="http://128.199.100.251:1001/image/creativestore/${imgphotolink[j].img}" style="width:100%;height:100%;"></img></a>
                            </div>
                        </div>
                    </div>`
                    form.append('div','Photolink')
                    form.append('data',`${divId.id}@@${imgphotolink[j].img}@@${imgphotolink[j].link}`)
                }else{
                    form.append('files',info[0].files[0])
                    form.append('div','Photolink')
                    form.append('data',`${divId.id}@@${info[0].files[0].name}@@${info[1].value}`)
                    text += `<div class="container">
                                <div class="row">
                                    <div class="col">
                                        <a href="${info[1].value}" target="_blank"><img src="${URL.createObjectURL(info[0].files[0])}" style="width:100%;height:100%;"></img></a>
                                    </div>
                                </div>
                            </div>`
                }
            }
            
        }
        function createUrl2Photo(divId,number){
            count_div +=1
            let info = divId.querySelectorAll('input.dropify')
            let infourl = divId.querySelectorAll('input[type=url]')
            form.append('div','Photo2Link')
            text += `<div class="container">
                        <div class="row">`
            for(let j = 0; j < info.length; j++){
                if(info[j].files[0] == undefined){
                    text +=`<div class="col">
                        <a href="${imgphoto2link[j].link}" target="_blank"><img src="http://128.199.100.251:1001/image/creativestore/${imgphoto2link[j].img}" style="width:100%;height:100%;"></a>
                    </div>`
                    form.append('data',`${divId.id}@@${imgphoto2link[j].img}@@${imgphoto2link[j].link}`)
                }else{
                    text +=`<div class="col">
                                <a href="${infourl[j].value}" target="_blank"><img src="${URL.createObjectURL(info[j].files[0])}" style="width:100%;height:100%;"></a>
                            </div>`
                    form.append('files',info[j].files[0])
                    form.append('data',`${divId.id}@@${info[j].files[0].name}@@${infourl[j].value}`)
                }
            }
            text+=`</div>
                </div>`
        }
        function createText(divId,number){
            count_div +=1
            let info = divId.querySelectorAll('textarea')
            let my_string = info[0].value
            my_string = my_string.replace(/\n/g,"<br>")
            text += `<div class="container">
                        <div class="row">
                            <div class="mt-3 col">
                                <p style="font-size:20px">${my_string}</p>
                            </div>
                        </div>
                    </div>`
            form.append('div',"Text")
            form.append('data',`${divId.id}@@${info[0].value}`)
        }
        function createButtonLine(divId,number){
            count_div +=1
            let info = divId.querySelectorAll('input')
            text += `<div class="container">
                        <div class="row">
                            <div class="mt-3 col" align="center">
                                <a href="${info[0].value}" target="_blank"><img src="/images/LineImage/messageImage.jpg"></a>
                            </div>
                        </div>
                    </div>`
            form.append('div','Line')
            form.append('data',`${divId.id}@@${info[0].value}`)
        }
        function createButtonFB(divId,number){
            count_div +=1
            console.log("hi");
            let info = divId.querySelectorAll('input')
            text += `<div class="container">
                        <div class="row">
                            <div class="mt-3 col" align="center">
                                <a href="${info[0].value}" target="_blank"><img src="/images/fb.png"></a>
                            </div>
                        </div>
                    </div>`
            form.append('div','Facebook')
            form.append('data',`${divId.id}@@${info[0].value}`)
        }
        function createInbox(divId,number){
            count_div +=1
            let info = divId.querySelectorAll('input')
            text += `<div class="container">
                <div class="row">
                    <div class="mt-3 col" align="center">
                        <a href="${info[0].value}" target="_blank"><img src="/images/ms.png"></a>
                    </div>
                </div>
            </div>`
            form.append('div','Inbox')
            form.append('data',`${divId.id}@@${info[0].value}`)
        }
    </script>
    <script>
        function checkform(){
            showPreview.innerHTML = `${text}`
        }
        function Senddata(){
            //console.log(data.getAll("Text"));
            //console.log(Object.fromEntries(data));
            form.append('count',count_div)
            $.ajax({
                url: '/creativestore/savedata',
                data: form,
                processData: false,
                contentType: false,
                type: 'post',
                success: function(data){
                    if(data.Message == 'Success'){
                        swal.fire('บันทึกเรียบร้อย','','success').then((e)=>{
                            window.location = '/'
                        })
                    }
                }
            });
        }
    </script>
    <script>
    var slideId = []
    var slideIndex = [];
    function checkDivs(number){
        slideId.push(`mySlides${number}`);
        slideIndex.push(1)
        //console.log(slideId,slideIndex);
    }
    function checkshowDiv(){
        for(let m = 0; m < slideIndex.length; m++) {
            showDivs(1,m)
        }
    }
    function plusDivs(n, no) {
        showDivs(slideIndex[no] += n, no);
    }
    function showDivs(n, no) {
        var i;
        var x = document.getElementsByClassName(slideId[no]);
        if (n > x.length) {slideIndex[no] = 1}    
        if (n < 1) {slideIndex[no] = x.length}
        for (i = 0; i < x.length; i++) {
            x[i].style.display = "none"; 
        }
        x[slideIndex[no]-1].style.display = "block";  
    }
    function clearData(){
        divId = []
        list_ImgSlide = []
        text = ''
        count = 0
        slideId = []
        slideIndex = [];
        l = 0
        form = new FormData();
        $('#showPreview').empty()
    }

    </script>
    </body>
</html>